Bug 139359 - k3b cannot find cd in cdburner
Summary: k3b cannot find cd in cdburner
Status: RESOLVED FIXED
Alias: None
Product: k3b
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-29 16:12 UTC by John K. Herreshoff
Modified: 2007-01-09 13:50 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John K. Herreshoff 2006-12-29 16:12:18 UTC
Version:           k3b-1.0rc2 (using KDE KDE 3.5.2)
Installed from:    Compiled From Sources
Compiler:          gcc 3.3.1 using glibc-2.3.2-5 on linux 2.6.11.12
OS:                Linux

I had the same problem with k3b-0.12.17 running linux 2.6, but it would burn after I clicked the force button twice.

My machine is only scsi, no ide drives.

Here is the output from cdrecord...

[jkh@bluebox jkh]$ cdrecord dev=0,6,0 -toc
Cdrecord-ProDVD-Clone 2.01.01a23 (i686-pc-linux-gnu) Copyright (C) 1995-2006 Jörg Schilling
cdrecord: Warning: Running on Linux-2.6.11.12
cdrecord: There are unsettled issues with Linux-2.5 and newer.
cdrecord: If you have unexpected problems, please try Linux-2.4 or Solaris.
scsidev: '0,6,0'
scsibus: 0 target: 6 lun: 0
Linux sg driver version: 3.5.32
Using libscg version 'schily-0.9'.
Device type    : Removable CD-ROM
Version        : 2
Response Format: 2
Capabilities   : SYNC LINKED
Vendor_info    : 'PLEXTOR '
Identifikation : 'CD-R   PX-W1210S'
Revision       : '1.06'
Device seems to be: Generic mmc CD-RW.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE SINGLESESSION HIDECDR
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
cdrecord: Input/output error. read toc: scsi sendcmd: no error
CDB:  43 00 00 00 00 00 00 00 04 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0A 00 00 00 00 24 00 00 00
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x24 Qual 0x00 (invalid field in cdb) Fru 0x0
Sense flags: Blk 0 (not valid)
resid: 4
cmd finished after 0.001s timeout 40s
cdrecord: Cannot read TOC header
cdrecord: Cannot read TOC/PMA
[jkh@bluebox jkh]$
Comment 1 Sebastian Trueg 2006-12-29 16:25:30 UTC
where is the bug?
Comment 2 John K. Herreshoff 2006-12-29 16:36:11 UTC
The bug is that even with a blank cd in the burner, the K3b does not find the cd.
Comment 3 Sebastian Trueg 2006-12-29 17:08:33 UTC
please run k3b from the console with the cd inserted and send me the output
Comment 4 John K. Herreshoff 2006-12-29 17:27:26 UTC
I just e-mailed you the output.
Comment 5 John K. Herreshoff 2007-01-05 04:46:34 UTC
Hi.  I'm continuing to dive into this machine, and I have bad thoughts about my current install of KDE (3.5.2).  For now, please don't spend time on the Plextor drive problem that I am having...  For all I know, it is me (broken <sigh>), not your code.  When I can get KDE 3.5.5 to build, check and run without problems, I'll try k3b again.
Comment 6 John K. Herreshoff 2007-01-08 02:15:41 UTC
I ripped out the old RH-9 install, and just upgraded the system to Slackware 11.  I continue to have the problem:  k3b cannot deal with the scsi Plextor drives that I have.  Does k3b care which drive it finds first?  The CD is /dev/cdrom and the writer / burner is the next in the scsi chain.
Comment 7 Sebastian Trueg 2007-01-09 13:50:52 UTC
SVN commit 621643 by trueg:

Do not rely on the current profile for no-media detection for two reasons:
1. I encoutered at least one Plextor drive that returns a NO-MEDIA profile for CD-R
2. If there is no media inserted every drive fails the unit ready test. So the profile
   is irrelevant in that case anyway.

BUG: 139359


 M  +4 -10     k3bdevice.cpp  


--- trunk/extragear/multimedia/k3b/libk3bdevice/k3bdevice.cpp #621642:621643
@@ -1691,8 +1691,8 @@
   cmd[9] = 0;      // Necessary to set the proper command length
 
   if( cmd.transport( TR_DIR_READ, profileBuf, 8 ) ) {
-    k3bDebug() << "(K3bDevice::Device) GET_CONFIGURATION failed." << endl;
-
+    k3bDebug() << "(K3bDevice::Device) " << blockDeviceName()
+	       << " GET_CONFIGURATION failed." << endl;
     return MEDIA_UNKNOWN;
   }
   else {
@@ -1754,15 +1754,9 @@
       inf.m_diskState = STATE_NO_MEDIA;
       inf.m_mediaType = MEDIA_NONE;
     }
-    else {
-      int profile = currentProfile();
-      if( profile == MEDIA_NONE ) {
-	inf.m_diskState = STATE_NO_MEDIA;
-	inf.m_mediaType = MEDIA_NONE;
-      }
-      inf.m_currentProfile = profile;
-    }
 
+    inf.m_currentProfile = currentProfile();
+
     if( inf.diskState() != STATE_NO_MEDIA ) {
 
       if( readDiscInformation( &data, dataLen ) ) {